Package org.apache.catalina.filters

## Interface CsrfPreventionFilter.NonceCache<T>

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `CsrfPreventionFilter.LruCache`

Enclosing class:
  CsrfPreventionFilter

    protected static interface CsrfPreventionFilter.NonceCache<T>
    extends Serializable

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `add​(T nonce)`
`boolean` `contains​(T nonce)`

### Method Detail

#### add

    void add​(T nonce)

#### contains

    boolean contains​(T nonce)